OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
ChangeLevelSetBackgroundOp< TreeOrLeafManagerT > Class Template Reference

`#include <openvdb/tools/ChangeBackground.h>`

## Public Types
typedef TreeOrLeafManagerT::ValueType | ValueT
typedef TreeOrLeafManagerT::RootNodeType | RootT
typedef TreeOrLeafManagerT::LeafNodeType | LeafT

## Public Member Functions
| ChangeLevelSetBackgroundOp (const ValueT &outside, const ValueT &inside)
| Constructor for asymmetric narrow-bands.
void | operator() (RootT &root) const
void | operator() (LeafT &node) const
template<typename NodeT >
void | operator() (NodeT &node) const

## Member Typedef Documentation

## ◆ LeafT

template<typename TreeOrLeafManagerT >

typedef TreeOrLeafManagerT::LeafNodeType LeafT

## ◆ RootT

template<typename TreeOrLeafManagerT >

typedef TreeOrLeafManagerT::RootNodeType RootT

## ◆ ValueT

template<typename TreeOrLeafManagerT >

typedef TreeOrLeafManagerT::ValueType ValueT

## Constructor & Destructor Documentation

## ◆ ChangeLevelSetBackgroundOp()

template<typename TreeOrLeafManagerT >

ChangeLevelSetBackgroundOp | ( | const ValueT & | outside,
|  | const ValueT & | inside
| ) |  |
| inline

Constructor for asymmetric narrow-bands.

## Member Function Documentation

## ◆ operator()() [1/3]

template<typename TreeOrLeafManagerT >

void operator() | ( | LeafT & | node | ) | const
| inline

## ◆ operator()() [2/3]

template<typename TreeOrLeafManagerT >
template<typename NodeT >

void operator() | ( | NodeT & | node | ) | const
| inline

## ◆ operator()() [3/3]

template<typename TreeOrLeafManagerT >

void operator() | ( | RootT & | root | ) | const
| inline